TRANSIT-TPP(1)

NAME
transit-tpp - statistical calculations of essentiality of genes or genomic regions

DESCRIPTION
usage: python PATH/src/tpp.py -bwa <EXECUTABLE_WITH_PATH> -ref <fasta-file|comma_separated_list> -reads1 <FASTQ_OR_FASTA_FILE> [-reads2 <FASTQ_OR_FASTA_FILE>] -output <BASE_FILENAME> [OPTIONAL ARGS]

    OPTIONAL ARGS:

-protocol [Sassetti|Tn5|Mme1] # which sample prep protocol was used?; sassetti protocol is the default; this sets the default transposon and primer sequence

-primer <seq>
    # prefix of reads corresponding to end of transposon at junction with genomic sequence; can override default seq

-maxreads <INT>

-mismatches <INT>
    # when searching for constant regions in reads 1 and 2; default is 1

-flags "<STRING>"
    # args to pass to BWA

-bwa-alg [aln|mem]
    # Default: mem. Algorithm to use for mapping reads with bwa

-primer-start-window INT,INT # position in read to search for start of primer; default is [0,20]

-window-size INT
    # automatic method to set window

-barseq_catalog_in|-barseq_catalog_out <file>

-replicon-ids <comma_separated_list_of_names> # if multiple replicons/genomes/contigs/sequences were provided in -ref, give them names.
    # Enter 'auto' for autogenerated ids.